unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, StdCtrls, ExtCtrls, TeeProcs, TeEngine, Chart;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series, TeeBmpOptions;

var Chart1: TChart;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1:=TChart.Create(Self);
  Chart1.Parent:=Self;

  Chart1.View3D:=false;
  Chart1.Legend.Visible:=false;

  Chart1.AddSeries(TAreaSeries).FillSampleValues;
end;

procedure TForm1.Button1Click(Sender: TObject);
var tmp: TBMPExportFormat;
begin
  tmp:=TBMPExportFormat.Create;

   try
     tmp.Panel:=Chart1;
     tmp.Bitmap.PixelFormat:=pf24bit;
     Image1.Picture.Graphic:=tmp.Bitmap;
   finally
     tmp.Free;
   end;
end;


end.
